Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.resolver.structureddocument.internal.provisional
Interface IStructuredDocumentContextResolverFactory

public interface IStructuredDocumentContextResolverFactory

A factory for creating context resolvers that work with structured document contexts This factory may be used but not implemented or extended by clients. TODO: Note that getTextRegionResolver() will be moved to to an internal factory interface and should not be considered part of the provisional API

Field Summary
`static IStructuredDocumentContextResolverFactory` | `INSTANCE` The global instance of the factory

Method Summary
`IDOMContextResolver` | `getDOMContextResolver(IStructuredDocumentContext context)`
`IMetadataContextResolver` | `getMetadataContextResolver(IStructuredDocumentContext context)`
`ITaglibContextResolver` | `getTaglibContextResolver(IStructuredDocumentContext context)`
`org.eclipse.jst.jsf.context.resolver.structureddocument.internal.ITextRegionContextResolver` | `getTextRegionResolver(IStructuredDocumentContext context)` **Non-WTP Clients: this method should not be considered API**
`IWorkspaceContextResolver` | `getWorkspaceContextResolver(IStructuredDocumentContext context)`

Field Detail

### INSTANCE

    public static final IStructuredDocumentContextResolverFactory INSTANCE

  The global instance of the factory

Method Detail

### getDOMContextResolver

    public IDOMContextResolver getDOMContextResolver(IStructuredDocumentContext context)

  Parameters:
    `context` -
  Returns:
    a resolver capable of resolving information in context or null if one cannot be created.

### getTextRegionResolver

    public org.eclipse.jst.jsf.context.resolver.structureddocument.internal.ITextRegionContextResolver getTextRegionResolver(IStructuredDocumentContext context)

  **Non-WTP Clients: this method should not be considered API**

  Parameters:
    `context` -
  Returns:
    a resolver capable of resolving information in the context or null if one cannot be created

### getWorkspaceContextResolver

    public IWorkspaceContextResolver getWorkspaceContextResolver(IStructuredDocumentContext context)

  Parameters:
    `context` -
  Returns:
    a resolver capable of resolving information in the context or null if one cannot be created

### getTaglibContextResolver

    public ITaglibContextResolver getTaglibContextResolver(IStructuredDocumentContext context)

  Parameters:
    `context` -
  Returns:
    a resolver capable of resolving information in the context or null one cannot be created

### getMetadataContextResolver

    public IMetadataContextResolver getMetadataContextResolver(IStructuredDocumentContext context)

  Parameters:
    `context` -
  Returns:
    a resolver capable of resolving information in the context or null if one cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD